<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- Import the bookmark tree stylesheet -->
	<xsl:import href="bookmark_tree_html.xsl"/>
	
	<!-- Make sure that XHTML is being output to facilitate caching -->
	<xsl:output method="xml" indent="yes"/>

	<!-- Take the baseActionURL and the location of the images as parameters -->
	<xsl:param name="baseActionURL">default</xsl:param>
	<xsl:param name="imagesURL">media/org/jasig/portal/channels/bookmarks/</xsl:param>

	<!-- Find out whether you are adding a folder or a bookmark -->
	<xsl:param name="EditMode">AddBookmark</xsl:param>

	<xsl:template match="/">

	<div class="bookmarks">
	<form action="{$baseActionURL}?command={$EditMode}" method="post">
	<fieldset>
	<legend style="font-weight: bold;">Add New <xsl:value-of select="substring-after($EditMode,'Add')"/></legend>

	<xsl:call-template name="BookmarkTree">
		<xsl:with-param name="TreeMode"><xsl:value-of select="$EditMode"/></xsl:with-param>
	</xsl:call-template>

	<!--
	Please fill out the form below and select the folder in which the new
	<xsl:choose>
		<xsl:when test="$EditMode='AddBookmark'">
			bookmark
		</xsl:when>
		<xsl:when test="$EditMode='AddFolder'">
			folder
		</xsl:when>
	</xsl:choose>
	will appear.
	-->

	<xsl:choose>
		<xsl:when test="$EditMode='AddFolder'">
			<div>
				<label for="FolderTitle">Folder Name:</label>
				<input type="text" name="FolderTitle" class="uportal-input-text" />
			</div>
			<div>
				<label>&#160;</label>
				<input type="submit" name="SubmitButton" value="Add" class="uportal-button" />
				<input type="submit" name="SubmitButton" value="Cancel" class="uportal-button" />
			</div>
		</xsl:when>
		<xsl:when test="$EditMode='AddBookmark'">
			<div>
				<label for="BookmarkTitle">Bookmark Title:</label>
				<input type="text" name="BookmarkTitle" class="uportal-input-text" />
			</div>
			<div>
				<label for="BookmarkURL">URL:</label>
				<input type="text" name="BookmarkURL" class="uportal-input-text" value="http://" />
			</div>
			<div>
				<label for="BookmarkDescription">Description:</label>
				<textarea rows="5" cols="20" name="BookmarkDescription" class="uportal-input-text"></textarea>
			</div>
			<div>
				<label>&#160;</label>
				<input type="submit" name="SubmitButton" value="Add" class="uportal-button" />
				<input type="submit" name="SubmitButton" value="Cancel" class="uportal-button" />
			</div>
		</xsl:when>
	</xsl:choose>
	</fieldset>
	</form>
	</div>

	</xsl:template>

</xsl:stylesheet>