<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- Make sure that XHTML is being output to facilitate caching -->
	<xsl:output method="xml" indent="yes"/>

	<!-- Take the baseActionURL and the location of the images as parameters -->
	<xsl:param name="baseActionURL">default</xsl:param>
	<xsl:param name="imagesURL">media/org/jasig/portal/channels/bookmarks/</xsl:param>

	<!-- Find out whether you are editing a folder or a bookmark -->
	<xsl:param name="EditMode">EditBookmark</xsl:param>
	<xsl:variable name="EditTitle">
		<xsl:text>Edit </xsl:text>
		<xsl:value-of select="substring-after($EditMode,'Edit')"/>
	</xsl:variable>

	<!-- Get current values -->
	<xsl:param name="FolderName"></xsl:param>
	<xsl:param name="FolderTitle"></xsl:param>
	<xsl:param name="FolderID">invalid Folder ID</xsl:param>
	<xsl:param name="BookmarkTitle"></xsl:param>
	<xsl:param name="BookmarkURL">http://</xsl:param>
	<xsl:param name="BookmarkDescription"></xsl:param>
	<xsl:param name="BookmarkID">invalid Bookmark ID</xsl:param>

	<xsl:template match="/">

	<div class="bookmarks">
	<form action="{$baseActionURL}?command={$EditMode}" method="post">
	<fieldset>
	<legend style="font-weight: bold;"><xsl:value-of select="$EditTitle"/></legend>

	<xsl:choose>
		<xsl:when test="$EditMode='EditFolder'">
			<div>
				<label for="BookmarkTitle">Folder Name:</label>
				<input type="text" name="FolderTitle" class="uportal-input-text" value="{$FolderTitle}" />
			</div>
			<div>
				<label>&#160;</label>
				<input type="hidden" name="FolderID" value="{$FolderID}" />
				<input type="submit" name="SubmitButton" value="Update" class="uportal-button" />
				<input type="submit" name="SubmitButton" value="Cancel" class="uportal-button" />
			</div>
		</xsl:when>
		<xsl:when test="$EditMode='EditBookmark'">
			<div>
				<label for="BookmarkTitle">Bookmark Title:</label>
				<input type="text" name="BookmarkTitle" class="uportal-input-text" value="{$BookmarkTitle}" size="20" />
			</div>
			<div>
				<label for="BookmarkURL">URL:</label>
				<input type="text" name="BookmarkURL" class="uportal-input-text" value="{$BookmarkURL}" size="20" />
			</div>
			<div>
				<label for="BookmarkDescription">Description:</label>
				<textarea rows="5" cols="20" name="BookmarkDescription" class="uportal-input-text"><xsl:value-of select="$BookmarkDescription"/></textarea>
			</div>
			<div>
				<label>&#160;</label>
				<input type="hidden" name="BookmarkID" value="{$BookmarkID}" />
				<input type="submit" name="SubmitButton" value="Update" class="uportal-button" />
				<input type="submit" name="SubmitButton" value="Cancel" class="uportal-button" />
			</div>
		</xsl:when>
	</xsl:choose>

	</fieldset>
	</form>
	</div>

	</xsl:template>

</xsl:stylesheet>
